groups:
- name: increased-error-rates.rules
  rules:
  - alert: IncreasedErrorRateHTTPSGit
    expr: sum(backend_code:haproxy_server_http_responses_total:irate1m{code="5xx",environment="prd",tier="lb",backend="https_git"}) > 20
    for: 15s
    labels:
      severity: critical
    annotations:
      description: We are having a high rate of 5xx on https_git backend. It's likely that customers are impacted.
      runbook: troubleshooting/high-error-rate.md
      title: Increased Error Rate Across Fleet
  - alert: IncreasedErrorRateOtherBackends
    expr: sum(backend_code:haproxy_server_http_responses_total:irate1m{code="5xx",environment="prd",tier="lb",backend!="https_git"}) by (backend) > 20
    for: 15s
    labels:
      severity: critical
    annotations:
      description: We are having a high rate of 5xx accross other backends (web(sockets)?/api/registry/etc, anything except https_git). It's likely that customers are impacted.
      runbook: troubleshooting/high-error-rate.md
      title: Increased Error Rate Across Fleet
